> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create or Update the existing model alert config.



## OpenAPI

````yaml /api-specs/6.3/public-api.json post /model-monitor/v2/api/notification/model-config/{model_id}
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.3.1
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: AI Gateway
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /model-monitor/v2/api/notification/model-config/{model_id}:
    parameters:
      - in: path
        name: model_id
        required: true
        schema:
          type: string
    post:
      tags:
        - Model Monitoring settings
      summary: Create or Update the existing model alert config.
      operationId: createOrUpdateModelAlertConfig
      requestBody:
        required: true
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/dmm-plier_modelAlertConfigUpdateRequestBody'
      responses:
        '200':
          description: Model Alert Config was updated successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dmm-plier_modelAlertConfig'
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '405':
          description: Method not allowed.
        '500':
          description: Internal server error, check server logs.
      security:
        - dmm-plier_DominoApiKeyAuth: []
        - dmm-plier_DmmApiKeyAuth: []
        - dmm-plier_cookieAuth: []
        - dmm-plier_BearerAuth: []
components:
  schemas:
    dmm-plier_modelAlertConfigUpdateRequestBody:
      title: Model Alert Config update request payload.
      description: request payload to be used to update or create the model alert config.
      type: object
      properties:
        recipients:
          description: Alert recipients for the model.
          type: string
        useGlobalRecipients:
          description: >-
            Whether or not to use the global recipients for sending
            notifications.
          type: boolean
    dmm-plier_modelAlertConfig:
      title: Model Alert Config.
      description: Alert config for the model.
      type: object
      properties:
        id:
          description: Model's Alert Config identifier.
          type: string
        createdAt:
          description: Creation timestamp of the Alert Config for the model.
          type: integer
        updatedAt:
          description: Last update timestamp for the Model's alert config.
          type: integer
        modelId:
          description: Unique identifier of the model.
          type: string
        recipients:
          description: recipients for the model's alert.
          type: string
        useGlobalRecipients:
          description: whether or not use the globally configured alert recipients.
          type: boolean
  securitySchemes:
    dmm-plier_DominoApiKeyAuth:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    dmm-plier_DmmApiKeyAuth:
      type: apiKey
      in: header
      name: X-DMM-API-KEY
    dmm-plier_cookieAuth:
      type: apiKey
      in: cookie
      name: PLAY_SESSION
    dmm-plier_BearerAuth:
      type: http
      scheme: bearer

````

## Related topics

- [Create or Update existing channel config for notifications in DMM.](/6.3/api-reference/model-monitoring-settings/create-or-update-existing-channel-config-for-notifications-in-dmm.md)
- [Fetch alert config for the given model.](/6.3/api-reference/model-monitoring-settings/fetch-alert-config-for-the-given-model.md)
- [Configure Billing Tags, Budgets, and Alerts](/6.3/admin/operations/finops/1-budgets-alerts.md)
- [Update the model quality metric default settings.](/6.3/api-reference/model-monitoring-settings/update-the-model-quality-metric-default-settings.md)
